Name:           cockpit-image-builder
Version:        61
Release:        1.20250224082647329694.pr2913.7.gcc610b93%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-62.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Feb 24 2025 Packit <hello@packit.dev> - 61-1.20250224082647329694.pr2913.7.gcc610b93
- Wizard: Remove obsolete css (regexowl)
- build(deps-dev): bump sass from 1.83.1 to 1.85.0 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps): bump @sentry/webpack-plugin from 3.1.2 to 3.2.0 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/parser from 8.24.0 to 8.24.1 (dependabot[bot])
- Blueprints: Import Blueprint modal error rendering Fixed #2905 (Katarina Sieklova)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
